Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni.parser
Class XMLInputSource

    java.lang.Object
      weblogic.apache.xerces.xni.parser.XMLInputSource

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLInputSource
extends Object

This class represents an input source for an XML document. The basic properties of an input source are the following:

- public identifier
- system identifier
- byte stream or character stream

Field Summary
`protected String` | `fBaseSystemId` Deprecated. Base system identifier.
`protected InputStream` | `fByteStream` Deprecated. Byte stream.
`protected Reader` | `fCharStream` Deprecated. Character stream.
`protected String` | `fEncoding` Deprecated. Encoding.
`protected String` | `fPublicId` Deprecated. Public identifier.
`protected String` | `fSystemId` Deprecated. System identifier.

Constructor Summary
`XMLInputSource(String publicId, String systemId, String baseSystemId)` Deprecated. Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.
`XMLInputSource(String publicId, String systemId, String baseSystemId, InputStream byteStream, String encoding)` Deprecated. Constructs an input source from a byte stream.
`XMLInputSource(String publicId, String systemId, String baseSystemId, Reader charStream, String encoding)` Deprecated. Constructs an input source from a character stream.
`XMLInputSource(XMLResourceIdentifier resourceIdentifier)` Deprecated. Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.

Method Summary
`String` | `getBaseSystemId()` Deprecated. Returns the base system identifier.
`InputStream` | `getByteStream()` Deprecated. Returns the byte stream.
`Reader` | `getCharacterStream()` Deprecated. Returns the character stream.
`String` | `getEncoding()` Deprecated. Returns the encoding of the stream, or null if not known.
`String` | `getPublicId()` Deprecated. Returns the public identifier.
`String` | `getSystemId()` Deprecated. Returns the system identifier.
`void` | `setBaseSystemId(String baseSystemId)` Deprecated. Sets the base system identifier.
`void` | `setByteStream(InputStream byteStream)` Deprecated. Sets the byte stream.
`void` | `setCharacterStream(Reader charStream)` Deprecated. Sets the character stream.
`void` | `setEncoding(String encoding)` Deprecated. Sets the encoding of the stream.
`void` | `setPublicId(String publicId)` Deprecated. Sets the public identifier.
`void` | `setSystemId(String systemId)` Deprecated. Sets the system identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fBaseSystemId

    protected String fBaseSystemId

  Deprecated.
  Base system identifier.

### fByteStream

    protected InputStream fByteStream

  Deprecated.
  Byte stream.

### fCharStream

    protected Reader fCharStream

  Deprecated.
  Character stream.

### fEncoding

    protected String fEncoding

  Deprecated.
  Encoding.

### fPublicId

    protected String fPublicId

  Deprecated.
  Public identifier.

### fSystemId

    protected String fSystemId

  Deprecated.
  System identifier.

Constructor Detail

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId)

  Deprecated.
  Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId,
                          InputStream byteStream,
                          String encoding)

  Deprecated.
  Constructs an input source from a byte stream.

### XMLInputSource

    public XMLInputSource(String publicId,
                          String systemId,
                          String baseSystemId,
                          Reader charStream,
                          String encoding)

  Deprecated.
  Constructs an input source from a character stream.

### XMLInputSource

    public XMLInputSource(XMLResourceIdentifier resourceIdentifier)

  Deprecated.
  Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.

Method Detail

### getBaseSystemId

    public String getBaseSystemId()

  Deprecated.
  Returns the base system identifier.

### getByteStream

    public InputStream getByteStream()

  Deprecated.
  Returns the byte stream.

### getCharacterStream

    public Reader getCharacterStream()

  Deprecated.
  Returns the character stream.

### getEncoding

    public String getEncoding()

  Deprecated.
  Returns the encoding of the stream, or null if not known.

### getPublicId

    public String getPublicId()

  Deprecated.
  Returns the public identifier.

### getSystemId

    public String getSystemId()

  Deprecated.
  Returns the system identifier.

### setBaseSystemId

    public void setBaseSystemId(String baseSystemId)

  Deprecated.
  Sets the base system identifier.

  Parameters:
    `baseSystemId` - The new base system identifier.

### setByteStream

    public void setByteStream(InputStream byteStream)

  Deprecated.
  Sets the byte stream. If the byte stream is not already opened when this object is instantiated, then the code that opens the stream should also set the byte stream on this object. Also, if the encoding is auto-detected, then the encoding should also be set on this object.

  Parameters:
    `byteStream` - The new byte stream.

### setCharacterStream

    public void setCharacterStream(Reader charStream)

  Deprecated.
  Sets the character stream. If the character stream is not already opened when this object is instantiated, then the code that opens the stream should also set the character stream on this object. Also, the encoding of the byte stream used by the reader should also be set on this object, if known.

  Parameters:
    `charStream` - The new character stream.
  See Also:
    `setEncoding(java.lang.String)`

### setEncoding

    public void setEncoding(String encoding)

  Deprecated.
  Sets the encoding of the stream.

  Parameters:
    `encoding` - The new encoding.

### setPublicId

    public void setPublicId(String publicId)

  Deprecated.
  Sets the public identifier.

  Parameters:
    `publicId` - The new public identifier.

### setSystemId

    public void setSystemId(String systemId)

  Deprecated.
  Sets the system identifier.

  Parameters:
    `systemId` - The new system identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD